## org.eclipse.datatools.connectivity.ui
Class PingJob

    java.lang.Object
      Job
          org.eclipse.datatools.connectivity.ui.PingJob

public class PingJob
extends Job

Executes a ping operation as a background job.

See Also:
  Serialized Form

Nested Class Summary
`static class` `PingJob.PingUIJob`

Constructor Summary
`PingJob(Shell shell, IConnectionProfile profile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingJob

    public PingJob(Shell shell,
                   IConnectionProfile profile)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.